## GnomeDbCanvasFkey GnomeDbCanvasFkey |

## Synopsis

                        GnomeDbCanvasFkey;
                        GnomeDbCanvasFkeyClass;
    GooCanvasItem *     gnome_db_canvas_fkey_new            (GooCanvasItem *parent,
                                                             GdaMetaTableForeignKey *fk,
                                                             ...);

## Object Hierarchy

      GObject
       +----GooCanvasItemSimple
             +----GooCanvasGroup
                   +----GnomeDbCanvasItem
                         +----GnomeDbCanvasFkey

## Implemented Interfaces

GnomeDbCanvasFkey implements GooCanvasItem.

## Properties

      "fk-constraint"            gpointer              : Write

## Description

## Details

### GnomeDbCanvasFkey

    typedef struct _GnomeDbCanvasFkey GnomeDbCanvasFkey;

### GnomeDbCanvasFkeyClass

    typedef struct {
    	GnomeDbCanvasItemClass    parent_class;
    } GnomeDbCanvasFkeyClass;

### gnome_db_canvas_fkey_new ()

    GooCanvasItem *     gnome_db_canvas_fkey_new            (GooCanvasItem *parent,
                                                             GdaMetaTableForeignKey *fk,
                                                             ...);

Creates a new canvas item to represent the `fkcons` FK constraint

`parent` : | the parent item, or NULL.
`fk` : |
`...` : | optional pairs of property names and values, and a terminating NULL.
Returns : | a new GooCanvasItem object

## Property Details

### The `"fk-constraint"` property

      "fk-constraint"            gpointer              : Write